It is currently 27 Jun 2017 8:34


Post new topic  Reply to topic  [ 6 posts ] 
Author Message
PostPosted: 27 Aug 2012 5:35 
Offline
Nouveau
Nouveau
User avatar

Joined: 27 Jul 2007 8:00
Posts: 22
We experience issues around installing the product on Red Hat Linux Server 6.3 with PostGres Database. Compatibility Report on BMC site say it is fully compatible with Red Hat Linux Server 6.

Running the check_req.sh script on the command line as root, selecting PostGres DB, it comes back with error: "This Red Hat Enterprise Linux Server release 6.3 (Santiago), kernel release 2.6.32-220.el6.x86_64 64 bit computer is not supported by Control-M product components version 7.0.00 with PostgreSQL."

Skipping the check_req.sh script, running the installation script "setup,sh" as the user from the $HOME directory, it fails with the following error:
"*** The operating system is not ready to run Java. ***
*** Please consult your OS documentation and check that all appropriate patches are installed. ***

Please guys, any help will be greatly appreciated as this machine need to go into production a.s.a.p.

Henk


Top
   
 Post subject: Have you solved it?
PostPosted: 13 Oct 2012 11:16 
Offline
Nouveau
Nouveau
User avatar

Joined: 29 Sep 2012 8:00
Posts: 2
Hello,

Have you solved your problem? I have exactly the same. It seems the installer failed to use the embedded jre.

I try to install ControlM/Server and ControlM/EM on my x86_64 server.

By default, it is the openJDK this is installed on the server. So I installed Oracle JDK (6u35) and modify alternatives configuration to use oracle JDK.

To solve the issue, I edited the setup.sh script and change the jre_path to point on my fresh installed JDK.

Now, I have a another problem :

com.izforge.izpack.util.library.LibraryLoadException: error loading library /tmp/BMC20121013_143527510/libUnixHelper-Linux-i386.sojava.lang.UnsatisfiedLinkError: /tmp/BMC20121013_143527510/libUnixHelper-Linux-i386.so: /tmp/BMC20121013_143527510/libUnixHelper-Linux-i386.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)

Installer try to load 32 bits libraries but can't.

If you have the solution, I'm interested.

Regards,

MI


Top
   
PostPosted: 14 Oct 2012 1:18 
Offline
Nouveau
Nouveau
User avatar

Joined: 29 Sep 2012 8:00
Posts: 2
I thought the prerequisites libs should be in 64 bits but you have to install the 32 bits versions :

yum install pam.i686 krb5-libs.i686 glibc.i686 libcom_err.i686 libidn.i686 libstdc++.i686

So, I revert my setup.sh script to use the embedded jre.

All is fine now, controlm/server and controlM/EM are both installed on my Oracle Linux Server.

Regards,

MI


Top
   
 Post subject:
PostPosted: 21 Jul 2014 9:39 
Offline
Nouveau
Nouveau
User avatar

Joined: 14 Nov 2011 9:00
Posts: 2
hi...
I have tried to install Control-M version 7 on Linux but not able to pass check_req.sh. it's giving me the error as below.

"This Red Hat Enterprise Linux Server release 6.3 (Santiago), kernel release 2.6.32-220.el6.x86_64 64 bit computer is not supported by Control-M product components version 7.0.00 with PostgreSQL."

I have tried to install Control-M on Linux 5, Linux 6 but getting the same error. I have the kernel different than what is mentioned in os_supported.txt. but I have new versions of kernel.

Please let me know how can I install Control-M on Linux.


Top
   
PostPosted: 05 Aug 2014 2:14 
Offline
Nouveau
Nouveau
User avatar

Joined: 20 Jun 2013 8:00
Posts: 5
Pre_req with setup files doesn't work on linux. Download the updated scripts from below link.

ftp://ftp.bmc.com/pub/control-m/opensys ... .4.01.001/
(Find the one as per your version)

This worked for me. Let me know if you face any issue.

Best Regards
Atul Chadha


Top
   
PostPosted: 05 Aug 2014 3:44 
Offline
Nouveau
Nouveau
User avatar

Joined: 26 Apr 2005 8:00
Posts: 686
Location: PARIS
Hi

Here is what you need to install both Control-M or Control-M/EM


installation des librairies
yum install -y gcc
yum install -y gcc-c++
yum install -y make
yum install -y libtool
yum install -y libxml2
yum install -y libxml2-devel
yum install -y openssl
yum install -y openssl-devel
yum install -y java
yum install -y curl
yum install -y libcurl.i686
yum install -y cracklib.i686
yum install -y audit-libs.i686
yum install -y pam.i686
yum install -y ncompress
yum install -y ksh


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 6 posts ] 

All times are UTC+10:00


Who is online

Users browsing this forum: Yahoo [Bot] and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Limited
The site created by Franck YOT. Images, logo, content and trademarks about Control-M products are property of BMC Software.
All the comments are property of their posters. Images, logo, content and design are © copyright by Scheduler-Usage.com. All Rights Reserved